package dev.fyloz.trial.colorrecipesexplorer.repository

import dev.fyloz.trial.colorrecipesexplorer.model.Mix
import dev.fyloz.trial.colorrecipesexplorer.model.MixType
import org.springframework.data.jpa.repository.JpaRepository

interface MixRepository : JpaRepository<Mix, Long> {
    /** Finds all mixes with the given [mixType]. */
    fun findAllByMixType(mixType: MixType): Collection<Mix>
}
